> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List devices targeted by a software

> Return the paginated list of devices targeted by ONE software, each with its install status and installed version. To list the software on ONE device instead, use `getDeviceSoftware`.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /software/{softwareId}/devices
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /software/{softwareId}/devices:
    get:
      tags:
        - Softwares
      summary: List devices targeted by a software
      description: >-
        Return the paginated list of devices targeted by ONE software, each with
        its install status and installed version. To list the software on ONE
        device instead, use `getDeviceSoftware`.
      operationId: getSoftwareDevices
      parameters:
        - name: softwareId
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            minimum: 1
            maximum: 9007199254740991
            default: 1
            type: number
        - name: perPage
          required: false
          in: query
          description: Number of items per page (max 100)
          schema:
            minimum: 1
            maximum: 100
            default: 50
            type: number
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSoftwareDevices_Output'
components:
  schemas:
    GetSoftwareDevices_Output:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              deviceId:
                type: string
              deviceName:
                anyOf:
                  - type: string
                  - type: 'null'
              platform:
                type: string
                enum:
                  - macos
                  - windows
                  - ios
                  - ipados
                  - android
                  - linux
                  - chromeos
                  - unknown
              status:
                type: string
                enum:
                  - installed
                  - failed
                  - in_progress
                  - not_installed
              installedVersion:
                anyOf:
                  - type: string
                  - type: 'null'
              fleetDeepLink:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - deviceId
              - deviceName
              - platform
              - status
              - installedVersion
              - fleetDeepLink
            additionalProperties: false
        pagination:
          type: object
          properties:
            totalElements:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            totalPages:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            page:
              type: integer
              minimum: 1
              maximum: 9007199254740991
            perPage:
              type: integer
              minimum: 1
              maximum: 100
          required:
            - totalElements
            - totalPages
            - page
            - perPage
          additionalProperties: false
      required:
        - data
        - pagination
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````